uk.gov.hmrc.play.fsm.JourneyController.actions.WhenAuthorised.BindForm

# ApplyWithRequest

###
Related Doc: package BindForm

#### final class ApplyWithRequest extends Executable

Linear Supertypes
Executable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ApplyWithRequest
2. Executable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def andCleanBreadcrumbs(): Executable

   Clean history (breadcrumbs) after an action.

   Clean history (breadcrumbs) after an action.

   Definition Classes
     Executable

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def display: Executable

   Change how the result is created.

   Change how the result is created. Force displaying the state after action using renderState.

   Definition Classes
     Executable

8. #### final def displayOrRedirectIf[S <: State](implicit arg0: ClassTag[S]): Executable

   Change how the result is created.

   Change how the result is created. If the state after action is of type S then redirect using URL returned by getCallFor otherwise display using renderState,.

   Definition Classes
     Executable

9. #### final def displayUsing(renderState: Renderer): Executable

   Change how the result is created.

   Change how the result is created. Force displaying the state after action using custom renderer.

   Definition Classes
     Executable

10. #### final def displayUsingOrRedirectIf[S <: State](renderState: Renderer)(implicit arg0: ClassTag[S]): Executable

    Change how the result is created.

    Change how the result is created. If the state after action is of type S then redirect using URL returned by getCallFor, otherwise display using custom renderer.

    Definition Classes
      Executable

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def execute(settings: Settings)(implicit request: Request[_], ec: ExecutionContext): Future[Result]

    Execute and return the future of result.

    Execute and return the future of result.

    Definition Classes
      ApplyWithRequest → Executable

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def recover(recoveryStrategy: PartialFunction[Throwable, Result]): Executable

    Recover from an error using custom strategy.

    Recover from an error using custom strategy.

    Definition Classes
      Executable

22. #### final def recoverWith(recoveryStrategy: (Request[_]) ⇒ PartialFunction[Throwable, Future[Result]]): Executable

    Recover from an error using custom strategy.

    Recover from an error using custom strategy.

    Definition Classes
      Executable

23. #### final def redirect: Executable

    Change how the result is created.

    Change how the result is created. Force redirect to the state after action using URL returned by getCallFor.

    Definition Classes
      Executable

24. #### final def redirectOrDisplayIf[S <: State](implicit arg0: ClassTag[S]): Executable

    Change how the result is created.

    Change how the result is created. If the state after action is of type S then display using renderState, otherwise redirect using URL returned by getCallFor.

    Definition Classes
      Executable

25. #### final def redirectOrDisplayIfSame: Executable

    Change how the result is created.

    Change how the result is created. If the state after action didn't change then display using renderState, otherwise redirect using URL returned by getCallFor.

    Definition Classes
      Executable

26. #### final def redirectOrDisplayUsingIf[S <: State](renderState: Renderer)(implicit arg0: ClassTag[S]): Executable

    Change how the result is created.

    Change how the result is created. If the state after action is of type S then display using custom renderer, otherwise redirect using URL returned by getCallFor.

    Definition Classes
      Executable

27. #### final def redirectOrDisplayUsingIfSame(renderState: Renderer): Executable

    Change how the result is created.

    Change how the result is created. If the state after action didn't change then display using custom renderer, otherwise redirect using URL returned by getCallFor.

    Definition Classes
      Executable

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def transform(fx: PartialFunction[Result, Result]): Executable

    Transform result using provided partial function.

    Transform result using provided partial function.

    Definition Classes
      Executable

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Executable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped